#ifndef __GRID_H
#define __GRID_H

#include "stdlib.h"  // NULL
#include "screen.h"
#include "bitmap.h"

class Grid: public Bitmap
{
  public:
    Grid( Screen* newScreen, int x0, int y0 );
    virtual~Grid( void );
    virtual void draw( void );

    void setScale( int ndx, int ndy, int size );
    int  getDx( void ) { return dx; } 
    int  getDy( void ) { return dy; } 
    int  getSize( void ) { return size; }
    
  protected:
    int dx, dy, size;
};

#endif // __GRID_H
